Create An Email Template Folder
curl --request POST \
--url http://api.stuut.ai/v1/email-template-folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "http://api.stuut.ai/v1/email-template-folders"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('http://api.stuut.ai/v1/email-template-folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"object": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"templates": [
{
"object": "<string>",
"id": "<string>",
"attachments": [
{
"mime_type": "<string>",
"name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"content_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"disposition": "<string>",
"is_verified": true,
"modified_at": "2023-11-07T05:31:56Z",
"presigned_url": "<string>",
"presigned_url_expires_at": "2023-11-07T05:31:56Z",
"purpose": "<string>",
"remote_id": "<string>",
"size": 123,
"src": "<unknown>",
"user_id": "<string>"
}
],
"auto_correct": true,
"body": "<string>",
"cc": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"folder": {
"name": "<string>",
"object": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"folder_id": "<string>",
"is_default": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"preview_body": "<unknown>",
"preview_subject": "<unknown>",
"subject": "<string>"
}
]
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Email Template Folders
Create An Email Template Folder
POST
/
v1
/
email-template-folders
Create An Email Template Folder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the email template folder.
Maximum string length:
256⌘I
